#! /usr/bin/ipstcl 
  
# First command of any Tcl script 
ipso 
  
# Sourcing of any external procedures etc. 
source /web/cgi-bin/validate.tcl 
source /web/cgi-bin/show_result.tcl 
  
# get what method is being used to invoke this script. 
set method [get_Method] 
  
# Initialize variables required for displaying errors/notification. 
set err_list [list] 
set result 0 
  
# Initialize UP and TOP before libdb init 
set UP "main" 
set TOP "main" 
  
# Initialize the database handle 
if {[catch {libdb init -local -user $USER} myDb]} { 
  
	#failed to initialize!!! 
	lappend err_list "Unable to connect to database: ${myDb}" 
  
   # we dont want to show apply and save buttons when libdb failed. 
   set APPLY_REQ false 
   set SAVE_REQ false 
   HTML_Start "HullPlating Configuration" /opt/cgi-bin/HullPlating/config.tcl 
   show_result 1 
   HTML_End 
   exit 
} 
  
# Initialize the Ipsctl handle 
if {[catch {ipsctl init} myIpsctl]} { 
  
	#failed to initialize!!! 
	lappend err_list "Unable to connect to Ipsctl: ${myIpsctl}" 
  
	# we dont want to show apply and save buttons when libdb failed. 
	set APPLY_REQ false 
	set SAVE_REQ false 
        HTML_Start "HullPlating Configuration" /opt/cgi-bin/HullPlating/config.tcl 
	show_result 1 
	HTML_End 
	exit 
} 
  
# Set link for DOC buttons. 
	set ddir [libdb get $myDb "docdir"] 
	set DOC "$ddir/system_c.htm" 
  
# Initialize the set list 
	set set_list [list] 
	set mylist "" 
  
# Enter your code to perform COMMIT operation here 
if { $method == "POST" } { 
    set set_list [list] 
    if {$apply == 1} { 
        if {[Validate $Q_Data err_list] == 0} { 
            foreach var $Q_Names { 
                if { [regexp {package:FireWall-1:*} $var] == 1 } { 
                     lappend set_list $var [ getVal "$var" ] 
                } 
            } 
        } 
  
        if {[llength $err_list] == 0} { 
            if {$save == 1} { 
                lappend set_list ":save" "" 
            } 
            if {[llength $set_list] > 0} { 
                set cmd "libdb set $myDb -list $set_list" 
                set result [eval "catch {$cmd} err_list"] 
            } 
        } 
    } 
} 
  
  
# ##################################################### 
# Web page header 
# ##################################################### 
  
  
HTML_Start "HullPlating Configuration" /opt/cgi-bin/HullPlating/config.tcl 
if { $mylist == "" } { 
    show_result $result  
} else { 
    show_result $result 0 $mylist 
} 
  
HTML_Image /images/bar.gif "Bar Line" 
HTML_BR 
  
TEXT "Notice" 
TEXT ": The system must be rebooted after enabling the FireWall-1 package  
        before this page becomes effective." 
HELP "FireWall-1 depends on environment variables that are set up at boot time.  
      The router must be rebooted after enabling the FireWall-1 package in the  
      Dynamic Configuration page. " 
  
HTML_BR 
HTML_Image /images/bar.gif "Bar Line" 
HTML_BR 
  
TEXT "Start FireWall-1 automatically at reboot?" 
set var_17_0 [libdb get $myDb "package:FireWall-1:state"] 
if {$var_17_0 != ""} { 
    HTML_Radio "on" package:FireWall-1:state "t" Checked 
    HTML_Radio "off" package:FireWall-1:state "" 
} else { 
    HTML_Radio "on" package:FireWall-1:state "t"  
    HTML_Radio "off" package:FireWall-1:state "" Checked 
} 
  
HELP " FireWall-1 can be automatically started upon reboot before IP forwarding 
is enabled." 
  
set var_27_0 [libdb get $myDb "package:FireWall-1:fgstate"] 
if { ${var_17_0} != "" } {  
    HTML_BR 
    TEXT "Start FloodGate-1 automatically at reboot?" 
    if {$var_27_0 != ""} { 
        HTML_Radio "on" package:FireWall-1:fgstate "t" Checked 
        HTML_Radio "off" package:FireWall-1:fgstate "" 
    } else { 
        HTML_Radio "on" package:FireWall-1:fgstate "t"  
        HTML_Radio "off" package:FireWall-1:fgstate "" Checked 
    } 
  
    HELP "  <UL> 
    FloodGate-1 can be automatically started upon reboot. If it is FireWall-1 
is also started.   <BR> 
    </UL> " 
} else {  
  if { ${var_27_0} != "" } {  
    HTML "<UL>" 
    TEXT "FloodGate-1 cannot be started at boot time unless FireWall-1 is 
started at boot time." 
    HTML "</UL>" 
  } else {  
    TEXT "Start FloodGate-1 automatically at reboot?" 
    if {$var_27_0 != ""} { 
        HTML_Radio "on" package:FireWall-1:fgstate "t" Checked 
        HTML_Radio "off" package:FireWall-1:fgstate "" 
    } else { 
        HTML_Radio "on" package:FireWall-1:fgstate "t" 
        HTML_Radio "off" package:FireWall-1:fgstate "" Checked 
    } 
  
    HELP " <UL> 
    FloodGate-1 can be automatically started upon reboot. If it is FireWall-1 
is also started.     <BR> 
    </UL>" 
  } 
} 
  
set var_53_0 [libdb get $myDb "package:FireWall-1:process:ifwd"] 
TEXT "Run ifwd daemon to monitor interface changes?" 
if {$var_53_0 != ""} { 
    HTML_Radio "on" package:FireWall-1:process:ifwd "t" Checked 
    HTML_Radio "off" package:FireWall-1:process:ifwd "" 
} else { 
    HTML_Radio "on" package:FireWall-1:process:ifwd "t" 
    HTML_Radio "off" package:FireWall-1:process:ifwd "" Checked 
} 
  
libdb close $myDb 
HTML_End 
exit 

